[vhffs-dev] [svn] commit: r118 - /trunk/vhffs-packages/buildall.sh

[ Thread Index | Date Index | More vhffs.org/vhffs-dev Archives ]


Author: soda
Date: Fri Dec 16 15:20:53 2005
New Revision: 118

Log:
fix bug


Modified:
    trunk/vhffs-packages/buildall.sh

Modified: trunk/vhffs-packages/buildall.sh
==============================================================================
--- trunk/vhffs-packages/buildall.sh (original)
+++ trunk/vhffs-packages/buildall.sh Fri Dec 16 15:20:53 2005
@@ -1,7 +1,31 @@
 #!/bin/sh
-TMPDIR="/data/space/build"
-OUTPUT="/data/space/packages"
-LOGFILE="/data/space/buildlog"
+
+if [ -z "$TMPDIR" ]; then
+	TMPDIR="/data/space/build"
+fi
+
+if [ -z "OUTPUT" ]; then
+	OUTPUT="/data/space/packages"
+fi
+
+if [ -z "LOGFILE" ]; then
+	LOGFILE="/data/space/buildlog"
+fi
+
+if [ ! -d $TMPDIR ]; then
+	echo "$TMPDIR is not a directory"
+	exit 1
+fi
+
+if [ ! -d $OUTPUT ]; then
+	echo "$OUTPUT is not a directory"
+	exit 1
+fi
+
+echo "TMP: $TMPDIR"
+echo "OUT: $OUTPUT"
+echo "LOG: $LOGFILE"
+
 
 DIR=`dirname $0`
 




Mail converted by MHonArc 2.6.19+ http://listengine.tuxfamily.org/